Bug 1065 - [UPDATE REQUEST] [UPSTREAM UPDATE] usbredir
: [UPDATE REQUEST] [UPSTREAM UPDATE] usbredir
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-11 08:58 MSK by Andrew Lukoshko
Modified: 2013-10-23 13:30 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2012-11-11 08:58:58 MSK
Updated usbredir from RHEL6 upstream.

Advisory:
* Due to a bug in the libusbredirhost library, handling of timeouts for bulk
transfers did not work correctly. Consequently, traffic of USB ACM serial port
devices, such as PSTN modems and SmartCard readers, could not be properly
redirected. With this update, no timeout is set on the usb-host side for these
devices and the traffic redirection works as expected.
http://rhn.redhat.com/errata/RHBA-2012-1435.html

Build lists:
https://abf.rosalinux.ru/build_lists/844325
https://abf.rosalinux.ru/build_lists/844326

Install:
i686: yum install http://abf.rosalinux.ru/downloads/rosa-server2012/container/usbredir-844325/RPMS/usbredir-0.4.3-1.res6.i686.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/usbredir-844325/RPMS/usbredir-server-0.4.3-1.res6.i686.rpm

x86_64: yum install http://abf.rosalinux.ru/downloads/rosa-server2012/container/usbredir-844326/RPMS/usbredir-0.4.3-1.res6.x86_64.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/usbredir-844326/RPMS/usbredir-server-0.4.3-1.res6.x86_64.rpm

Please DON'T PUBLISH, just test.
Comment 2 Vladimir Potapov 2012-11-21 14:39:13 MSK
usbredir-0.4.3-1.1.res6
******************** RHEL Advisory **********************
* Due to a bug in the libusbredirhost library, handling of timeouts for bulk
transfers did not work correctly. Consequently, traffic of USB ACM serial port
devices, such as PSTN modems and SmartCard readers, could not be properly
redirected. With this update, no timeout is set on the usb-host side for these
devices and the traffic redirection works as expected.
*********************************************************
QA Verified